V20.0
delete
/ec-designer-edc-svc/rest/v20.0/studies/{studyId}/versions/{version}/forms/{formId}
Deletes a form from the requested study version. Compared with v19.0, this endpoint uses the current v20 deletion workflow and returns the deletion message.
Request
Path Parameters
-
formId(required): string(uuid)
Form ID (UUID, 32-character uppercase hexadecimal string). Required.
-
studyId(required): string
Study ID (UUID, 32-character uppercase hexadecimal string). Required.
-
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Form deleted successfully.
Root Schema : schema
Type:
stringExamples
500 Response
Unexpected server error while deleting form.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples